Bug 800249 - Update to 4.1 release
Update to 4.1 release
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xibo Ning
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 01:24 EST by Parag Nemade
Modified: 2012-03-20 01:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 07:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-03-06 01:24:36 EST
Description of problem:
This is request to update redhat-lsb to 4.1 version

Version-Release number of selected component (if applicable):
redhat-lsb-4.0-11.fc17

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Parag Nemade 2012-03-06 01:28:44 EST
xning,
  Can you please host redhat-lsb-4.1 tarball somewhere on Fedora resources say fedorapeople.org or fedorahosted.org ? You have got sponsorship in packager now so there should not be problem using Fedora resources to you.
Comment 2 Parag Nemade 2012-03-15 10:10:41 EDT
Ok I think I really need some review of new package submitted by Xning to me. I have placed new package at

SPEC URL:http://paragn.fedorapeople.org/redhat-lsb-4.1/redhat-lsb.spec

SRPM URL: http://paragn.fedorapeople.org/redhat-lsb-4.1/redhat-lsb-4.1-1.fc16.src.rpm

Note: I am just helping Xning to bring his update in Fedora.
Comment 3 Parag Nemade 2012-03-15 10:14:45 EDT
So the confusion to me is do we need submod word in subpackages? or we can use naming like redhat-lsb-<Module>-<Submodule> ?

Is there any submodule shared with another cross module?
Comment 4 Xibo Ning 2012-03-15 20:09:59 EDT
 LSB is a 3-layer structure: LSB-module-submodule. Submodule and module could have the same name. One submodule could be part of two or more modules. And a submodule is the smallest logical component of LSB. we can not assume that some submodules are member of some modules, unless LSB indicates the membership relation between submodules and modules.

Thank you very much, parag.
Comment 5 Parag Nemade 2012-03-19 01:17:25 EDT
Thanks xning for your work on redhat-lsb-4.1 package. I have modified your spec and final version is available at http://paragn.fedorapeople.org/redhat-lsb-4.1/redhat-lsb.spec

Will commit this soon to f18 only.
Comment 6 Parag Nemade 2012-03-19 07:43:17 EDT
Built in rawhide redhat-lsb-4.1-1.fc18

Thanks Xing Ning for taking the initiative to update redhat-lsb to 4.1 release. Also, thanks to Jens Petersen for helping to improve the new spec.
Comment 7 Xibo Ning 2012-03-20 01:02:14 EDT
Thank you for your great help, Parag.

Note You need to log in before you can comment on or make changes to this bug.